# Method: providers.deliveryVehicles.list

- [HTTP request](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/tasks/rest/v1/providers.deliveryVehicles/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/tasks/rest/v1/providers.deliveryVehicles/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/tasks/rest/v1/providers.deliveryVehicles/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/tasks/rest/v1/providers.deliveryVehicles/list#body.request_body)
- [Response body](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/tasks/rest/v1/providers.deliveryVehicles/list#body.response_body)
  - [JSON representation](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/tasks/rest/v1/providers.deliveryVehicles/list#body.ListDeliveryVehiclesResponse.SCHEMA_REPRESENTATION)
- [Viewport](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/tasks/rest/v1/providers.deliveryVehicles/list#Viewport)
  - [JSON representation](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/tasks/rest/v1/providers.deliveryVehicles/list#Viewport.SCHEMA_REPRESENTATION)

Gets all `DeliveryVehicle`s that meet the specified filtering criteria.

### HTTP request

`GET https://fleetengine.googleapis.com/v1/{parent=providers/*}/deliveryVehicles`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Must be in the format `providers/{provider}`. The `provider` must be the Google Cloud Project ID. For example, `sample-cloud-project`. |

### Query parameters

| Parameters ||
|---|---|
| `header` | ``object (`https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/tasks/rest/v1/DeliveryRequestHeader`)`` Optional. The standard Delivery API request header. |
| `pageSize` | `integer` Optional. The maximum number of vehicles to return. The service may return fewer than this number. If you don't specify this number, then the server determines the number of results to return. |
| `pageToken` | `string` Optional. A page token, received from a previous `deliveryVehicles.list` call. You must provide this in order to retrieve the subsequent page. When paginating, all other parameters provided to `deliveryVehicles.list` must match the call that provided the page token. |
| `filter` | `string` Optional. A filter query to apply when listing delivery vehicles. See <http://aip.dev/160> for examples of the filter syntax. If you don't specify a value, or if you specify an empty string for the filter, then all delivery vehicles are returned. Note that the only queries supported for `deliveryVehicles.list` are on vehicle attributes (for example, `attributes.<key> = <value>` or `attributes.<key1> = <value1> AND attributes.<key2> = <value2>`). Also, all attributes are stored as strings, so the only supported comparisons against attributes are string comparisons. In order to compare against number or boolean values, the values must be explicitly quoted to be treated as strings (for example, `attributes.<key> = "10"` or `attributes.<key> = "true"`). The maximum number of restrictions allowed in a filter query is 50. A restriction is a part of the query of the form `attribute.<KEY> <COMPARATOR> <VALUE>`, for example `attributes.foo = bar` is 1 restriction. |
| `viewport` | ``object (`https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/tasks/rest/v1/providers.deliveryVehicles/list#Viewport`)`` Optional. A filter that limits the vehicles returned to those whose last known location was in the rectangular area defined by the viewport. |

### Request body

The request body must be empty.

### Response body

The `deliveryVehicles.list` response message.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "deliveryVehicles": [ { object (`https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/tasks/rest/v1/providers.deliveryVehicles#DeliveryVehicle`) } ], "nextPageToken": string, "totalSize": string } ``` |

| Fields ||
|---|---|
| `deliveryVehicles[]` | ``object (`https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/tasks/rest/v1/providers.deliveryVehicles#DeliveryVehicle`)`` The set of delivery vehicles that meet the requested filtering criteria. When no filter is specified, the request returns all delivery vehicles. A successful response can also be empty. An empty response indicates that no delivery vehicles were found meeting the requested filter criteria. |
| `nextPageToken` | `string` You can pass this token in the `ListDeliveryVehiclesRequest` to continue to list results. When all of the results are returned, this field won't be in the response, or it will be an empty string. |
| `totalSize` | `string (https://developers.google.com/discovery/v1/type-format format)` The total number of delivery vehicles that match the request criteria, across all pages. |

## Viewport

A latitude-longitude viewport, represented as two diagonally opposite `low` and `high` points. A viewport is considered a closed region, i.e. it includes its boundary. The latitude bounds must range between -90 to 90 degrees inclusive, and the longitude bounds must range between -180 to 180 degrees inclusive. Various cases include:

- If `low` = `high`, the viewport consists of that single point.

- If `low.longitude` \> `high.longitude`, the longitude range is inverted (the viewport crosses the 180 degree longitude line).

- If `low.longitude` = -180 degrees and `high.longitude` = 180 degrees, the viewport includes all longitudes.

- If `low.longitude` = 180 degrees and `high.longitude` = -180 degrees, the longitude range is empty.

- If `low.latitude` \> `high.latitude`, the latitude range is empty.

Both `low` and `high` must be populated, and the represented box cannot be empty (as specified by the definitions above). An empty viewport will result in an error.

For example, this viewport fully encloses New York City:

{ "low": { "latitude": 40.477398, "longitude": -74.259087 }, "high": { "latitude": 40.91618, "longitude": -73.70018 } }

| JSON representation |
|---|
| ``` { "low": { object (`https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/tasks/rest/v1/LatLng`) }, "high": { object (`https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/tasks/rest/v1/LatLng`) } } ``` |

| Fields ||
|---|---|
| `low` | ``object (`https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/tasks/rest/v1/LatLng`)`` Required. The low point of the viewport. |
| `high` | ``object (`https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/tasks/rest/v1/LatLng`)`` Required. The high point of the viewport. |